Deprecation Notice: Old Oracle DB Configuration (3.50+)


(Brett Sauve) #1

Looker supports Oracle databases as one of its connection options. Over time we’ve improved our recommended setup steps to reduce the amount of access Looker needs to your database.

The new Oracle setup steps are associated with the Legacy Oracle Security Settings legacy feature (for more details see the Legacy Features docs page):

  • From release 3.50 to 4.22, the legacy feature is on by default, which means that you can use either the old or new setup
  • From release 5.0 to 5.2, the legacy feature is off by default, which means you can only use the new setup
  • As of release 5.4, you must use the new setup

Old Behavior

The old setup steps can be found on our Oracle setup page under the “Legacy Setup” sections.

New Behavior

The new setup steps can be found on our Oracle setup page under the “Preferred Setup” sections.


Looker 5.8 Extended Support Release Notes
Looker 5.4 Release Notes
Legacy Features End-of-life Schedule